/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.DetalleFactura;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface DetalleFacturaFacadeLocal {

    void create(DetalleFactura detalleFactura);

    void edit(DetalleFactura detalleFactura);

    void remove(DetalleFactura detalleFactura);

    DetalleFactura find(Object id);

    List<DetalleFactura> findAll();

    List<DetalleFactura> findRange(int[] range);

    int count();

    List<DetalleFactura> obtenerFacturas(String facturaCodigo, String facturaSerie);

    void guardarFactura(DetalleFactura detFactura);

    void descargarProductos(String productoCodigo, String ofertaCodigo, String sucursalCodigo, Integer cantidad);

    void descargarPremios(String premioCodigo, String salaCodigo);
}
